Foreman - Feature #13821

Puppet class parameters shouldn't alway show a text box when changing them
02/20/2016 08:06 AM - Sean O'Keeffe

Status:
Assignee:
Category:

Target version:

Closed
Normal
Sean O'Keeffe
Web Interface
1.12.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.11.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3214
Description

When overriding a parameter in a host group or host we should display the following:
Select box if it is a boolean.
Number box if it is a integer or real.

Unless the param is hidden, in which we should display a the current password box.

There is also no need to display the fullscreen button is is a boolean or the hide/unhide button if param isn't already hidden.

Related issues:

Related to Foreman - Feature #4469: Overriding or setting parameter values sh...

Duplicate 02/27/2014

Associated revisions

Revision ccdf2521 - 02/24/2016 03:50 AM - Sean O'Keeffe

Fixes #13821 - Show different types of input depending on the paramter type

History

#1 - 02/20/2016 08:38 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3214 added

#2 - 02/22/2016 03:46 AM - Dominic Cleal

- Related to Feature #4469: Overriding or setting parameter values should show available values based on type and validator added

#3 - 02/22/2016 03:46 AM - Dominic Cleal

- translation missing: en.field_release deleted (136)

#4 - 02/24/2016 04:01 AM - Sean O'Keeffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ccdf25219a3c9493d3404f03a66c740c201bb30f.

#5 - 02/24/2016 04:51 AM - Dominic Cleal

- translation missing: en.field_release set to 136
